;AvPkiSetup.cfg
[Application]
Logo={setup}\data\WizModernImage12a.bmp
Title=Avest PKI
Description=ГосСУОК
WelcomeDescr=Avest PKI
DefaultDevices=AvPass
ConcatDevices=true

[UNINSTALL]
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\03243FCB-0CF4-4C45-A4B3-6D91DE89CF53_is1\DisplayVersion
ExistsRegKey2=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\03243FCB-0CF4-4C45-A4B3-6D91DE89CF53}_is1\DisplayVersion
ExistsRegKey3=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\03243FCB-0CF4-4C45-A4B3-6D91DE89CF53}\DisplayVersion
ExistsRegKey4=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\03243FCB-0CF4-4C45-A4B3-6D91DE89CF53\DisplayVersion
ExistsRegKey5=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvPCM_nces_is1\DisplayName
ExistsRegKey6=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvJCEProv_is1\DisplayName
ExistsRegKey7=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayName
ExistsRegKey8=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvCMXWebP_is1\DisplayName

[STEP1]
Type=run
Caption=Проверка необходимости установки обновления Win
Description=
RightsRequired=Admin
Mandatory=false
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayName
VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayVersion
Version=1
AllowNewVersions=true

[STEP2]
Type=run
Caption=Криптопровайдер Avest CSP Bel
Description=Версия 6.3.0.813
RightsRequired=Admin
Mandatory=true
VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\03243FCB-0CF4-4C45-A4B3-6D91DE89CF53_is1\DisplayVersion
VersionRegKey2=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\03243FCB-0CF4-4C45-A4B3-6D91DE89CF53}_is1\DisplayVersion
VersionRegKey3=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\03243FCB-0CF4-4C45-A4B3-6D91DE89CF53}\DisplayVersion
VersionRegKey4=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\03243FCB-0CF4-4C45-A4B3-6D91DE89CF53\DisplayVersion
Version=6.3.0.813
;AllowNewVersions=true

[STEP3]
Type=run
Caption=Менеджер сертификатов NCES
Description=
RightsRequired=Admin
Mandatory=true
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvPCM_nces_is1\DisplayName
VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvPCM_nces_is1\DisplayVersion
Version=5.0.3
;AllowNewVersions=true

[STEP4]
Type=run
Caption=AvJCEProv
Description=
RightsRequired=Admin
;Mandatory=true
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvJCEProv_is1\DisplayName
VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvJCEProv_is1\DisplayVersion
Version=1.4.3
AllowNewVersions=true

[STEP5]
Type=run
Caption=AvCMXWebP
Description=Версия 1.1.10
RightsRequired=User
Mandatory=true
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvCMXWebP_is1\DisplayName
VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvCMXWebP_is1\DisplayVersion
Version=1.1.10
AllowNewVersions=true

[STEP6]
Type=run
Caption=Установка сертификатов
Description=
RightsRequired=User
ExistsFile={setup}\data\*.p7b
DontInstallIfNotExists=True

[STEP7]
Type=run
Caption=Установка сертификатов удостоверяющих центров
Description=
RightsRequired=User

[STEP8]
Type=run
Caption=Создание ярлыка "Скачать СОС"
RightsRequired=User
Description= Создание ярлыка

[SUBSTEP1.1]
Type=run
RightsRequired=Admin
Caption=Установка обновления для WinXP, WinServer2003
Description=Для корректной работы криптопровайдера необходимо наличие установленного обновления
Hint=Нажмите кнопку "Далее" для установки обновления
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayName
;VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayVersion
;Version=KB2836198
;AllowNewVersions=true
Command="{setup}\data\WindowsXP-KB2836198-x86-RUS.exe" /quiet /norestart
OSVersionToPerform=WinXP
OSBitnessToPerform=Win32
OSLocaleToPerform=ru-RU
MandatoryRestart=true
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP1.2]
Type=run
RightsRequired=Admin
Caption=Установка обновления для WinXP, WinServer2003
Description=Для корректной работы криптопровайдера необходимо наличие установленного обновления
Hint=Нажмите кнопку "Далее" для установки обновления
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayName
;VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayVersion
;Version=KB2836198
;AllowNewVersions=true
Command="{setup}\data\WindowsXP-KB2836198-x86-ENU.exe" /quiet /norestart
OSVersionToPerform=WinXP
OSBitnessToPerform=Win32
OSLocaleToPerform=en-GB
MandatoryRestart=true
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP1.3]
Type=run
RightsRequired=Admin
Caption=Установка обновления для WinXP, WinServer2003
Description=Для корректной работы криптопровайдера необходимо наличие установленного обновления
Hint=Нажмите кнопку "Далее" для установки обновления
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayName
;VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayVersion
;Version=KB2836198
;AllowNewVersions=true
Command="{setup}\data\WindowsXP-KB2836198-x86-ENU.exe" /quiet /norestart
OSVersionToPerform=WinXP
OSBitnessToPerform=Win32
OSLocaleToPerform=en-US
MandatoryRestart=true
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP1.4]
Type=run
RightsRequired=Admin
Caption=Установка обновления для WinXP, WinServer2003
Description=Для корректной работы криптопровайдера необходимо наличие установленного обновления
Hint=Нажмите кнопку "Далее" для установки обновления
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayName
;VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayVersion
;Version=KB2836198
;AllowNewVersions=true
Command="{setup}\data\WindowsServer2003.WindowsXP-KB2836198-x64-RUS.exe" /quiet /norestart
OSVersionToPerform=WinXP
OSBitnessToPerform=Win64
OSLocaleToPerform=ru-RU
MandatoryRestart=true
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP1.5]
Type=run
RightsRequired=Admin
Caption=Установка обновления для WinXP, WinServer2003
Description=Для корректной работы криптопровайдера необходимо наличие установленного обновления
Hint=Нажмите кнопку "Далее" для установки обновления
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayName
;VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayVersion
;Version=KB2836198
;AllowNewVersions=true
Command="{setup}\data\WindowsServer2003.WindowsXP-KB2836198-x64-ENU.exe" /quiet /norestart
OSVersionToPerform=WinXP
OSBitnessToPerform=Win64
OSLocaleToPerform=en-GB
MandatoryRestart=true
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP1.6]
Type=run
RightsRequired=Admin
Caption=Установка обновления для WinXP, WinServer2003
Description=Для корректной работы криптопровайдера необходимо наличие установленного обновления
Hint=Нажмите кнопку "Далее" для установки обновления
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayName
;VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayVersion
;Version=KB2836198
;AllowNewVersions=true
Command="{setup}\data\WindowsServer2003.WindowsXP-KB2836198-x64-ENU.exe" /quiet /norestart
OSVersionToPerform=WinXP
OSBitnessToPerform=Win64
OSLocaleToPerform=en-US
MandatoryRestart=true
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP1.7]
Type=run
RightsRequired=Admin
Caption=Установка обновления для WinXP, WinServer2003
Description=Для корректной работы криптопровайдера необходимо наличие установленного обновления
Hint=Нажмите кнопку "Далее" для установки обновления
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayName
;VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayVersion
;Version=KB2836198
;AllowNewVersions=true
Command="{setup}\data\WindowsServer2003-KB2836198-x86-RUS.exe" /quiet /norestart
OSVersionToPerform=Win2003
OSBitnessToPerform=Win32
OSLocaleToPerform=ru-RU
MandatoryRestart=true
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP1.8]
Type=run
RightsRequired=Admin
Caption=Установка обновления для WinXP, WinServer2003
Description=Для корректной работы криптопровайдера необходимо наличие установленного обновления
Hint=Нажмите кнопку "Далее" для установки обновления
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayName
;VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayVersion
;Version=KB2836198
;AllowNewVersions=true
Command="{setup}\data\WindowsServer2003-KB2836198-x86-ENU.exe" /quiet /norestart
OSVersionToPerform=Win2003
OSBitnessToPerform=Win32
OSLocaleToPerform=en-GB
MandatoryRestart=true
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP1.9]
Type=run
RightsRequired=Admin
Caption=Установка обновления для WinXP, WinServer2003
Description=Для корректной работы криптопровайдера необходимо наличие установленного обновления
Hint=Нажмите кнопку "Далее" для установки обновления
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayName
;VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayVersion
;Version=KB2836198
;AllowNewVersions=true
Command="{setup}\data\WindowsServer2003-KB2836198-x86-ENU.exe" /quiet /norestart
OSVersionToPerform=Win2003
OSBitnessToPerform=Win32
OSLocaleToPerform=en-US
MandatoryRestart=true
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP1.10]
Type=run
RightsRequired=Admin
Caption=Установка обновления для WinXP, WinServer2003
Description=Для корректной работы криптопровайдера необходимо наличие установленного обновления
Hint=Нажмите кнопку "Далее" для установки обновления
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayName
;VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayVersion
;Version=KB2836198
;AllowNewVersions=true
Command="{setup}\data\WindowsServer2003.WindowsXP-KB2836198-x64-RUS.exe" /quiet /norestart
OSVersionToPerform=Win2003
OSBitnessToPerform=Win64
OSLocaleToPerform=ru-RU
MandatoryRestart=true
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP1.11]
Type=run
RightsRequired=Admin
Caption=Установка обновления для WinXP, WinServer2003
Description=Для корректной работы криптопровайдера необходимо наличие установленного обновления
Hint=Нажмите кнопку "Далее" для установки обновления
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayName
;VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayVersion
;Version=KB2836198
;AllowNewVersions=true
Command="{setup}\data\WindowsServer2003.WindowsXP-KB2836198-x64-ENU.exe" /quiet /norestart
OSVersionToPerform=Win2003
OSBitnessToPerform=Win64
OSLocaleToPerform=en-GB
MandatoryRestart=true
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP1.12]
Type=run
RightsRequired=Admin
Caption=Установка обновления для WinXP, WinServer2003
Description=Для корректной работы криптопровайдера необходимо наличие установленного обновления
Hint=Нажмите кнопку "Далее" для установки обновления
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayName
;VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayVersion
;Version=KB2836198
;AllowNewVersions=true
Command="{setup}\data\WindowsServer2003.WindowsXP-KB2836198-x64-ENU.exe" /quiet /norestart
OSVersionToPerform=Win2003
OSBitnessToPerform=Win64
OSLocaleToPerform=en-US
MandatoryRestart=true
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP2.1]
Type=mouse
RightsRequired=PowerUser
Caption=Установка криптопровайдера: сбор случайности
Description=Для криптопровайдера Avest необходимо наличие предварительно собранной случайности. Подвигайте мышью в пределах главного окна программы.
;ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Avest\Avest CSP\1.0.0\Entropy
DeleteRegVal=HKEY_LOCAL_MACHINE\SOFTWARE\Avest\Avest CSP\1.0.0\Entropy
DataLength=64
DataFile={temp}\mouse.dat
DontShowIfOk=true
;VersionAlwaysOk=true
AutoStart=true

[SUBSTEP2.2]
Type=avcsp
RightsRequired=Admin
Caption=Инсталляция криптопровайдера Avest CSP Bel
Description=Для использования криптографических операций необходимо наличие установленного криптопровайдера Avest.
Hint=Нажмите кнопку "Далее" для установки криптопровайдера Avest.
VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\03243FCB-0CF4-4C45-A4B3-6D91DE89CF53_is1\DisplayVersion
VersionRegKey2=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\03243FCB-0CF4-4C45-A4B3-6D91DE89CF53}_is1\DisplayVersion
VersionRegKey3=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\03243FCB-0CF4-4C45-A4B3-6D91DE89CF53}\DisplayVersion
VersionRegKey4=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\03243FCB-0CF4-4C45-A4B3-6D91DE89CF53\DisplayVersion
CSPName=Avest CSP Bel Pro
CSPType=423
Version=6.3.0.813
AllowNewVersions=true
;UninstallOldVersion=REGISTRY:HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\03243FCB-0CF4-4C45-A4B3-6D91DE89CF53_is1\QuietUninstallString
Command="{setup}\data\setupAvCSPBel6.3.0.813.exe" /NORESTART /VERYSILENT /RESTARTEXITCODE=3010 /entropy={temp}\mouse.dat "/devices={devices}"
InnoSetup=true
;MandatoryRestart=true
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP2.3]
Type=copy
RightsRequired=Admin
Description= Копирование
Hint=Нажмите кнопку "Далее" 
Source={setup}\docs\AvCSPBEL_РОп.pdf
Destination={pfx86}\Avest\Avest CSP Bel
AutoStart=true


[SUBSTEP3.1]
Type=run
RightsRequired=Admin
Caption=Инсталляция менеджера сертификатов 
Description=Инсталляция Персонального менеджера сертификатов Avest (Хранилище сертификатов Microsoft).
Hint=Нажмите кнопку "Далее" для установки Персонального менеджера сертификатов 
;ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvPCM_nces_is1\DisplayName
;VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvPCM_nces_is1\DisplayVersion
Version=5.0.3
;AllowNewVersions=true
Command="{setup}\data\AvPCMEx_setup.exe" /VERYSILENT /typestore=systemstore /DIR="{pfx86}\Avest\AvPCM_nces"
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP3.2]
Type=copy
RightsRequired=Admin
Description= Копирование
Hint=Нажмите кнопку "Далее" 
Source={setup}\data\wgetcrl\*.*
Destination={pfx86}\Avest\AvPCM_nces
AutoStart=true

[SUBSTEP3.3]
Type=copy
RightsRequired=Admin
Description= Копирование
Hint=Нажмите кнопку "Далее" 
Source={setup}\docs\AvCmUt4_РОп.pdf
Destination={pfx86}\Avest\AvPCM_nces
AutoStart=true

[SUBSTEP3.4]
Type=copy
RightsRequired=Admin
Description= Копирование
Hint=Нажмите кнопку "Далее" 
Source={setup}\docs\AvPCM_РОп.pdf
Destination={pfx86}\Avest\AvPCM_nces
AutoStart=true

[SUBSTEP3.5]
Type=copy
RightsRequired=Admin
Description= Копирование
Hint=Нажмите кнопку "Далее" 
Source={setup}\docs\AvUCK_РОп.pdf
Destination={pfx86}\Avest\AvPCM_nces
AutoStart=true

[SUBSTEP4.1]
Type=run
RightsRequired=Admin
Caption=AvJCEProv
Description=Инсталляция AvJCEProv
Hint=Нажмите кнопку "Далее" для установки AvJCEProv
;ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvJCEProv_is1\DisplayName
;VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvJCEProv_is1\DisplayVersion
Version=1.4.3
;AllowNewVersions=true
Command="{setup}\data\AvJCEProv-1.4.3-setup.exe" /VERYSILENT
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP5.1]
Type=run
CheckRunDLL=npAvCMXWebP.dll
RightsRequired=Admin
Caption=Деинсталляция AvCMXWebP
ExistsRegKey=HKEY_CURRENT_USER\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvCMXWebP_is1\DisplayName
VersionRegKey=HKEY_CURRENT_USER\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvCMXWebP_is1\DisplayVersion
Version=1.1.10
Command=REGISTRY:HKEY_CURRENT_USER\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvCMXWebP_is1\UninstallString PARAMS: /NORESTART /VERYSILENT
AutoStart=true

[SUBSTEP5.2]
Type=run
CheckRunDLL=npAvCMXWebP.dll
RightsRequired=Admin
Caption=AvCMXWebP
Description=Инсталляция AvCMXWebP
Hint=Нажмите кнопку "Далее" для установки AvCMXWebP.
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvCMXWebP_is1\DisplayName
VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvCMXWebP_is1\DisplayVersion
Version=1.1.10
Command="{setup}\data\AvCMXWebP-1.1.10-setup-allusers.exe" /VERYSILENT
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP6.1]
Type=certificatestoavcm
Caption=Установка сертификатов
Description=Для использования криптографических операций необходимо установить полученные сертификаты.
Hint=Вставьте носитель с личным ключом для установки личного сертификата и нажмите кнопку "Далее".
DLLFile={pfx86}\Avest\AvPCM_nces\AvCryptMail.dll
DLLFileVersion=5.0.3
Pkcs7={setup}\data\*.p7b
CouldBeSkipped=true
AutoStart=true

[SUBSTEP7.1]
Type=certificatestostore
Caption=Установка сертификата
Description=Для использования криптографических операций необходимо установить полученные сертификаты.
Hint=Нажмите кнопку "Далее" для установки сертификата корневого УЦ.
CSPName=Avest CSP Bel
CSPType=423
CertificateFiles={setup}\data\kuc1.cer
Store=ROOT
UseLocalMachine=false
Container=
CouldBeSkipped=true
AutoAcceptIfOnlyOneExists=true
AutoStart=true

[SUBSTEP7.2]
Type=certificatestostore
Caption=Установка сертификата
Description=Для использования криптографических операций необходимо установить полученные сертификаты.
Hint=Нажмите кнопку "Далее" для установки сертификата корневого УЦ.
CSPName=Avest CSP Bel
CSPType=423
CertificateFiles={setup}\data\kuc2.cer
Store=ROOT
UseLocalMachine=false
Container=
CouldBeSkipped=true
AutoAcceptIfOnlyOneExists=true
AutoStart=true

[SUBSTEP7.3]
Type=certificatestostore
Caption=Установка сертификатов удостоверяющих центров
Description=Для использования криптографических операций необходимо установить полученные сертификаты.
Hint=Нажмите кнопку "Далее" для установки сертификата Республиканского УЦ.
CSPName=Avest CSP Bel
CSPType=423
CertificateFiles={setup}\data\ruc1.cer
Store=CA
UseLocalMachine=false
Container=
CouldBeSkipped=true
AutoAcceptIfOnlyOneExists=true
AutoStart=true

[SUBSTEP7.4]
Type=certificatestostore
Caption=Установка сертификатов удостоверяющих центров
Description=Для использования криптографических операций необходимо установить полученные сертификаты.
Hint=Нажмите кнопку "Далее" для установки сертификата Республиканского УЦ.
CSPName=Avest CSP Bel
CSPType=423
CertificateFiles={setup}\data\ruc2.cer
Store=CA
UseLocalMachine=false
Container=
CouldBeSkipped=true
AutoAcceptIfOnlyOneExists=true
AutoStart=true

[SUBSTEP7.5]
Type=certificatestostore
Caption=Установка сертификатов удостоверяющих центров
Description=Для использования криптографических операций необходимо установить полученные сертификаты.
Hint=Нажмите кнопку "Далее" для установки сертификата Республиканского УЦ.
CSPName=Avest CSP Bel
CSPType=423
CertificateFiles={setup}\data\ruc3.cer
Store=CA
UseLocalMachine=false
Container=
CouldBeSkipped=true
AutoAcceptIfOnlyOneExists=true
AutoStart=true

[SUBSTEP7.6]
Type=certificatestostore
Caption=Установка сертификатов удостоверяющих центров
Description=Для использования криптографических операций необходимо установить полученные сертификаты.
Hint=Нажмите кнопку "Далее" для установки сертификата удостоверяющего центра.
CSPName=Avest CSP Bel
CSPType=423
CertificateFiles={setup}\data\cas_ruc2.cer
Store=CA
UseLocalMachine=false
Container=
CouldBeSkipped=true
AutoAcceptIfOnlyOneExists=true
AutoStart=true

[SUBSTEP7.7]
Type=certificatestostore
Caption=Установка сертификатов удостоверяющих центров
Description=Для использования криптографических операций необходимо установить полученные сертификаты.
Hint=Нажмите кнопку "Далее" для установки сертификата удостоверяющего центра.
CSPName=Avest CSP Bel
CSPType=423
CertificateFiles={setup}\data\cas_ruc3.cer
Store=CA
UseLocalMachine=false
Container=
CouldBeSkipped=true
AutoAcceptIfOnlyOneExists=true
AutoStart=true

[SUBSTEP8.1]
Type=run
RightsRequired=Admin
Description= Создание ярлыка
Hint=Нажмите кнопку "Далее" 
Command="{setup}\data\make_desktop_link.cmd" /VERYSILENT
Destination=
AutoStart=true

[UNINSTALLSTEP1]
Type=run
Caption=Криптопровайдер Avest CSP Bel
Description=Версия 6.3.0.813
RightsRequired=Admin

[UNINSTALLSTEP2]
Type=run
Caption=Менеджер сертификатов
Description=
RightsRequired=Admin

[UNINSTALLSTEP3]
Type=run
Caption=AvJCEProv
Description=
RightsRequired=Admin

[UNINSTALLSTEP4]
Type=run
Caption=AvCMXWebP
Description=
RightsRequired=Admin

[UNINSTALLSUBSTEP1.1]
Type=run
RightsRequired=Admin
Caption=Удаление Руководства оператора
Hint=Нажмите кнопку "Далее"
Command="{setup}\data\delete_files_csp.cmd" 
AutoStart=true

[UNINSTALLSUBSTEP1.2]
Type=run
RightsRequired=Admin
Caption=Деинсталляция криптопровайдера
Hint=Нажмите кнопку "Далее" чтобы деинсталлировать предыдущую версию криптопровайдера
Command=REGISTRY:HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\03243FCB-0CF4-4C45-A4B3-6D91DE89CF53_is1\UninstallString PARAMS: /NORESTART /VERYSILENT
DontShowIfOk=true
AutoStart=true
RestartOnFinish=true

[UNINSTALLSUBSTEP2.1]
Type=run
RightsRequired=Admin
Caption=Деинсталляция менеджера сертификатов 
Hint=Нажмите кнопку "Далее"
Command="{setup}\data\delete_files_pcm.cmd" 
AutoStart=true

[UNINSTALLSUBSTEP2.2]
Type=run
RightsRequired=Admin
Caption=Деинсталляция менеджера сертификатов 
Hint=Нажмите кнопку "Далее" для удаления Персонального менеджера сертификатов 
Command=REGISTRY:HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvPCM_nces_is1\UninstallString PARAMS: /NORESTART /VERYSILENT
RestartExitCode=0x00000BC2
AutoStart=true


[UNINSTALLSUBSTEP3.1]
Type=run
RightsRequired=Admin
Caption=Деинсталляция AvJCEProv
Hint=Нажмите кнопку "Далее" для удаления AvJCEProv
Command=REGISTRY:HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvJCEProv_is1\UninstallString PARAMS: /NORESTART /VERYSILENT
RestartExitCode=0x00000BC2
AutoStart=true

[UNINSTALLSUBSTEP4.1]
Type=run
RightsRequired=Admin
Caption=Деинсталляция AvCMXWebP
Hint=Нажмите кнопку "Далее" для удаления AvCMXWebP
Command=REGISTRY:HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvCMXWebP_is1\UninstallString PARAMS: /NORESTART /VERYSILENT
RestartExitCode=0x00000BC2
AutoStart=true

